### Class

# Gimp TextLayer

#### Description [src]

    final class Gimp.TextLayer : Gimp.Layer {
      /* No available fields */
    }

Functions for querying and manipulating text layers.

#### Hierarchy

#### Ancestors

- GimpLayer
- GimpDrawable
- GimpItem
- GObject

#### Constructors

###### gimp_text_layer_new

Create a new layer.

unstable since: 3.0

#### Functions

###### gimp_text_layer_get_by_id

Returns a `GimpTextLayer` representing `layer_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is layer or `NULL` otherwise.

unstable since: 3.0

#### Instance methods

###### gimp_text_layer_get_antialias

Check if antialiasing is used in the text layer.

since: 2.6

###### gimp_text_layer_get_base_direction

Get the base direction used for rendering the text layer.

since: 2.6

###### gimp_text_layer_get_color

Get the color of the text in a text layer.

since: 2.6

###### gimp_text_layer_get_font

Get the font from a text layer as string.

since: 2.6

###### gimp_text_layer_get_font_size

Get the font size from a text layer.

since: 2.6

###### gimp_text_layer_get_hint_style

Get information about hinting in the specified text layer.

since: 2.8

###### gimp_text_layer_get_indent

Get the line indentation of text layer.

since: 2.6

###### gimp_text_layer_get_justification

Get the text justification information of the text layer.

since: 2.6

###### gimp_text_layer_get_kerning

Check if kerning is used in the text layer.

since: 2.6

###### gimp_text_layer_get_language

Get the language used in the text layer.

since: 2.6

###### gimp_text_layer_get_letter_spacing

Get the letter spacing used in a text layer.

since: 2.6

###### gimp_text_layer_get_line_spacing

Get the spacing between lines of text.

since: 2.6

###### gimp_text_layer_get_markup

Get the markup from a text layer as string.

since: 2.8

###### gimp_text_layer_get_text

Get the text from a text layer as string.

since: 2.6

###### gimp_text_layer_resize

Resize the box of a text layer.

since: 2.8

###### gimp_text_layer_set_antialias

Enable/disable anti-aliasing in a text layer.

since: 2.6

###### gimp_text_layer_set_base_direction

Set the base direction in the text layer.

since: 2.6

###### gimp_text_layer_set_color

Set the color of the text in the text layer.

since: 2.6

###### gimp_text_layer_set_font

Set the font of a text layer.

since: 2.6

###### gimp_text_layer_set_font_size

Set the font size.

since: 2.6

###### gimp_text_layer_set_hint_style

Control how font outlines are hinted in a text layer.

since: 2.8

###### gimp_text_layer_set_indent

Set the indentation of the first line in a text layer.

since: 2.6

###### gimp_text_layer_set_justification

Set the justification of the text in a text layer.

since: 2.6

###### gimp_text_layer_set_kerning

Enable/disable kerning in a text layer.

since: 2.6

###### gimp_text_layer_set_language

Set the language of the text layer.

since: 2.6

###### gimp_text_layer_set_letter_spacing

Adjust the letter spacing in a text layer.

since: 2.6

###### gimp_text_layer_set_line_spacing

Adjust the line spacing in a text layer.

since: 2.6

###### gimp_text_layer_set_markup

Set the markup for a text layer from a string.

unstable since: 3.0

###### gimp_text_layer_set_text

Set the text of a text layer.

since: 2.6

##### Methods inherited from GimpLayer (30)

Please see GimpLayer for a full list of methods.

##### Methods inherited from GimpDrawable (48)

Please see GimpDrawable for a full list of methods.

##### Methods inherited from GimpItem (45)

Please see GimpItem for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpItem (1)

###### Gimp.Item:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpTextLayerClass {
      GimpLayerClass parent_class;

    }

No description available.

###### Class members

`parent_class: GimpLayerClass`
  No description available.